## com.fasterxml.jackson.databind.ser.impl
Class SimpleBeanPropertyFilter.SerializeExceptFilter

    java.lang.Object
      com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter
          com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter.SerializeExceptFilter

All Implemented Interfaces:
  BeanPropertyFilter

Enclosing class:
  SimpleBeanPropertyFilter

    public static class SimpleBeanPropertyFilter.SerializeExceptFilter

extends SimpleBeanPropertyFilter

Filter implementation which defaults to serializing all properties, except for ones explicitly listed to be filtered out.

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter
`SimpleBeanPropertyFilter.FilterExceptFilter, SimpleBeanPropertyFilter.SerializeExceptFilter`

Field Summary
`protected Set<String>` `_propertiesToExclude` Set of property names to filter out.

Constructor Summary
`SimpleBeanPropertyFilter.SerializeExceptFilter(Set<String> properties)`

Method Summary
`void` `serializeAsField(Object bean, com.fasterxml.jackson.core.JsonGenerator jgen, SerializerProvider provider, BeanPropertyWriter writer)` Method called by `BeanSerializer` to let filter decide what to do with given bean property value: the usual choices are to either filter out (i.e.

Methods inherited from class com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter
`filterOutAllExcept, filterOutAllExcept, serializeAllExcept, serializeAllExcept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _propertiesToExclude

    protected final Set<String> _propertiesToExclude

  Set of property names to filter out.

Constructor Detail

### SimpleBeanPropertyFilter.SerializeExceptFilter

    public SimpleBeanPropertyFilter.SerializeExceptFilter(Set<String> properties)

Method Detail

### serializeAsField

    public void serializeAsField(Object bean,
                                 com.fasterxml.jackson.core.JsonGenerator jgen,
                                 SerializerProvider provider,
                                 BeanPropertyWriter writer)
                          throws Exception

  Description copied from interface: `BeanPropertyFilter`
  Method called by `BeanSerializer` to let filter decide what to do with given bean property value: the usual choices are to either filter out (i.e. do nothing) or write using given `BeanPropertyWriter`, although filters can choose other to do something different altogether.

  Parameters:
    `bean` - Bean of which property value to serialize
    `jgen` - Generator use for serializing value
    `provider` - Provider that can be used for accessing dynamic aspects of serialization processing
    `writer` - Default bean property serializer to use
  Throws:
    `Exception`

Copyright © 2012 fasterxml.com. All Rights Reserved.